# Module `awful.prompt`

### Info:

- Copyright: 2008 Julien Danjou
- Release: v3.5.4
- Author: Julien Danjou <julien@danjou.info>

## Functions

run (args, textbox, exe_callback, completion_callback, history_path, history_max, done_callback, changed_callback, keypressed_callback) | Run a prompt in a box.

## Functions

run (args, textbox, exe_callback, completion_callback, history_path, history_max, done_callback, changed_callback, keypressed_callback)
  Run a prompt in a box.

  ### Parameters:

  - args A table with optional arguments: fg_cursor, bg_cursor, ul_cursor, prompt, text, selectall, font, autoexec.
  - textbox The textbox to use for the prompt.
  - exe_callback The callback function to call with command as argument when finished.
  - completion_callback The callback function to call to get completion.
  - history_path Optional parameter: file path where the history should be saved, set nil to disable history
  - history_max Optional parameter: set the maximum entries in history file, 50 by default
  - done_callback Optional parameter: the callback function to always call without arguments, regardless of whether the prompt was cancelled.
  - changed_callback Optional parameter: the callback function to call with command as argument when a command was changed.
  - keypressed_callback Optional parameter: the callback function to call with mod table, key and command as arguments when a key was pressed.

  ### Usage:

       The following readline keyboard shortcuts are implemented as expected:
       <ul>
       <li><code>CTRL+A</code></li>
       <li><code>CTRL+B</code></li>
       <li><code>CTRL+C</code></li>
       <li><code>CTRL+D</code></li>
       <li><code>CTRL+E</code></li>
       <li><code>CTRL+J</code></li>
       <li><code>CTRL+M</code></li>
       <li><code>CTRL+F</code></li>
       <li><code>CTRL+H</code></li>
       <li><code>CTRL+K</code></li>
       <li><code>CTRL+U</code></li>
       <li><code>CTRL+W</code></li>
       <li><code>CTRL+BASKPACE</code></li>
       <li><code>SHIFT+INSERT</code></li>
       <li><code>HOME</code></li>
       <li><code>END</code></li>
       <li>arrow keys</li>
       </ul>
       <br/>
       The following shortcuts implement additional history manipulation commands where the search term is defined as the substring of command from first character to cursor position
       <ul>
       <li><code>CTRL+R</code>: reverse history search, matches any history entry containing search term</li>
       <li><code>CTRL+S</code>: forward history search, matches any history entry containing search term</li>
       <li><code>CTRL+UP</code>: ZSH up line or search, matches any history entry starting with search term</li>
       <li><code>CTRL+DOWN</code>: ZSH down line or search, matches any history entry starting with search term</li>
       <li><code>CTRL+DELETE</code>: delete the currently visible history entry from history file. <br/>Does not delete new commands or history entries under user editing</li>
       </ul>

generated by LDoc 1.4.2